## pymvpa 0.4.6

=== debian/changelog ===
pymvpa (0.4.6-1) unstable; urgency=low

  * Upstream bugfix release:
    - Compatible with libsvm 3.0 (Closes: #608844)
  * Exclude objects.inv from being compressed (Closes: #608765)

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 01 Feb 2011 13:34:24 -0500

pymvpa (0.4.5-1) experimental; urgency=low

  * Upstream bugfix release -- just few bugfixes since 0.4.5~dev23-2
  * Bump Standards-Version to 3.9.1 -- no changes are due
  * Adjusted debian/copyright to comply with rev135 of DEP5
  * Switched to 3.0 (quilt) source format (no patches are needed ATM)

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 27 Sep 2010 12:38:28 -0400

pymvpa (0.4.5~dev23-2) unstable; urgency=low

  * Build-Depend on python-numpy providing numpy-ext (Closes: #589587).
    Thanks Jakub Wilk for keeping us in a good shape ;)
  * Updated years for the copyrights for upstream and packaging parts
  * Bump Standards-Version to 3.9.0:
    - include entire text of BSD-3 for shipped (but not used) libsvm

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 26 Jul 2010 23:40:39 -0400

pymvpa (0.4.5~dev23-1) unstable; urgency=low

  * New upstream pre-release snapshot.  Includes few enhancements
    and fixes:
    - Compatible with libsvm >= 2.91 (Closes: #583018)
    - No string exceptions raised
    - Setting of shrinking parameter in sg.svm interface
    - Deducing number of SVs for SVR (libsvm)
    - Correction of significance in the tails of non-parametric
      tests
  * debian/control
    - Moving under umbrella of NeuroDebian Team

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 07 Jun 2010 12:08:57 -0400

pymvpa (0.4.4-1) unstable; urgency=low

  * New upstream release.
  * Dropping building of entire doc collection -- from now only HTML
    versions of documents gets shipped within -doc.  That lightens
    -doc package and quickens package building (unneeded
    build-depends got dropped: texlive, texlive-latex-extra)
  * Adding shogun-python-modular into Build-Depends since it is needed
    for documentation inheritance_diagram extension.
  * Bump Standards-Version to 3.8.4 -- no changes necessary.
  * Updated suggests for new naming of openopt package, fixed spelling
    error in short description of -doc package.
  * Dropped patching of upstream Makefile to don't build 3rd party code,
    now control is done via variable PYMVPA_NO_3RD.

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 01 Feb 2010 20:51:42 -0500

pymvpa (0.4.3-2) unstable; urgency=low

  [ Sandro Tosi ]
  * Drop Python 2.4; thanks to Luca Falavigna for the
    report and to Jakub Wilk for the patch (Closes: #562482)
    - debian/control
      + bump b-d on python-all-dev to '>= 2.5'
      + drop python-ctypes
      + drop explicit Depends on python: we use ${python:Depends}
    - debian/pyversions
      + bump it to '+2.5-'

  [ Yaroslav Halchenko ]
  * debian/control
    - Thanks Sandro Tosi for NMU attempt to fix #560606.
    - Build-Conflict on python-epydoc=3.0.1-4: this version works
    incorrectly with python-docutils 0.6 (thanks to Lucas Nussbaum for the
    report).  Also Build-Depends on python-docutils (<< 0.6) |
    python-docutils (>= 0.6-3~) which would assure that we still can build
    on lenny or with fresh docutils which pull in fresh epydoc (thanks to
    Jakub Wilk for suggestion).  Those 2 steps fix the FTBFS (Closes:
    #560606)
    - Added python-mvpa-doc to suggests.
  * Cherry pick 2 commits from maint/0.4 branch to be compatible with recent
    versions of shogun-python-modular present in sid/squeeze.

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 12 Jan 2010 17:55:55 -0500

pymvpa (0.4.3-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.8.3 -- no changes necessary.
  * Maintainer field points to ExpPsy Maintainers now.
  * Recommend python-reportlab.
  * Added python-nose, python-nifti, python-lxml to Build-depends.

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 04 Sep 2009 16:18:54 -0400

pymvpa (0.4.2-1) unstable; urgency=low

  [ Michael Hanke ]
  * New upstream release.
  * Removing the circular dependency between python-mvpa and python-mvpa-lib
    (Closes: #519129).
  * Improve long description of python-mvpa-lib and turn it into complete
    sentences, as recommended by the developers reference 6.2.3
    (Closes: #521332).
  * Bump Standards-Version to 3.8.1 -- no changes necessary.
  * Added dependency on python to the python-mvpa package to satisfy lintian.
  * Added rsync as build-dependency, which is required for building the docs.
  * The package now honors 'nodoc' in DEB_BUILD_OPTIONS. This is intended to
    help backporting to releases with insufficient python-sphinx versions.
  * Added 'graphviz' as a build-dependency (necessary for Sphinx' inheritance
    graphs).

  [ Yaroslav Halchenko ]
  * Compatible with cdbs >= 0.4.54 (use of DEB_PYTHON_MODULE_PACKAGES) and
    recent pysupport (>=0.9).
  * Run unittests for each supported python version during build.

 -- Michael Hanke <michael.hanke@gmail.com>  Mon, 25 May 2009 11:21:39 +0200

pymvpa (0.4.1-1) unstable; urgency=low

  [ Michael Hanke ]
  * New upstream release.
  * Added missing ${misc:Depends} to debian/control.
  * The package now honors 'nocheck' in DEB_BUILD_OPTIONS.
  * Speed-up of package build process by preventing the docs from being built
    twice.
  * Added 'DM-Upload-Allowed: yes' to enable DM upload.
  * Install new manpages and add build-dep. to help2man.
  * Updated debian/copyright.
  * Imported various bugfixes from the upstream VCS that were pushed into the
    0.4 maintenance branch since the release of 0.4.1.

  [ Yaroslav Halchenko ]
  * Adjusted long descriptions.
  * Split libraries (low-level SMLR implementation and LIBSVM custom
    Python bindings) into a separate python-mvpa-lib package. That allows
    python-mvpa package to become architecture independent.

 -- Michael Hanke <michael.hanke@gmail.com>  Sat, 21 Feb 2009 14:07:55 +0100


