=== debian/changelog ===
pymvpa (0.4.7-2~nd09.10+1) karmic; urgency=low

  * Backported for karmic.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Wed, 13 Apr 2011 15:47:12 -0400

pymvpa (0.4.7-2) unstable; urgency=low

  * Few fixes absorbed from upstream:
    - [d16ca22] BF: compatible with libsvm 3.10 -- assure present
      stab for svm_destroy_model
    - [9d1dc0c] RF: use build_ext --inplace instead of adhoc
      symlinking of extensions
    - [ec89d77] BF: omitting stuck ncf distribution in scipy 0.9.0

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 12 Apr 2011 20:12:01 -0400

pymvpa (0.4.7-1) unstable; urgency=low

  * Upstream bugfix release: NIfTI scaling issue

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 07 Mar 2011 14:01:35 -0500
