## pymvpa 0.4.8

=== Makefile ===
--- 
+++ 
@@ -64,16 +64,7 @@
 build: build-stamp
 build-stamp: $(build_depends)
 	python setup.py config --noisy
-	python setup.py build
-# to overcome the issue of not-installed svmc.so
-	for ext in _svmc smlrc; do \
-		ln -sf ../../../build/lib.$(DISTUTILS_PLATFORM)-$(PYVER)/mvpa/clfs/lib$${ext#_*}/$${ext}.so \
-		mvpa/clfs/lib$${ext#_*}/; \
-		ln -sf ../../../build/lib.$(DISTUTILS_PLATFORM)-$(PYVER)/mvpa/clfs/lib$${ext#_*}/$${ext}.so \
-		mvpa/clfs/lib$${ext#_*}/$${ext}.dylib; \
-		done
-	touch $@
-
+	python setup.py build_ext --inplace
 
 #
 # Cleaning
@@ -366,3 +357,13 @@
 # (not to be run by users, depends on debian environment)
 
 orig-src: distclean debian-clean 
+	# clean existing dist dir first to have a single source tarball to process
+	-rm -rf dist
+
+	if [ -f debian/changelog ]; then \
+		if [ ! "$$(dpkg-parsechangelog | egrep ^Version | cut -d ' ' -f 2,2 | cut -d '-' -f 1,1)" == "$$(python setup.py -V)" ]; then \
+				printf "WARNING: Changelog version does not match tarball version!\n" ;\
+				exit 1; \
+		fi \
+	fi
+	# let python create the source tarball
