=== debian/changelog ===
pymvpa (0.4.8-3) unstable; urgency=low

  [ Felix Geyer ]
  * patches/changeset_4be557bb1eb31576555ada8943f2aad6e7e3e54c.diff
    do not rely on identical FP results in a testOverAxis (Closes: #713056)

  [ Yaroslav Halchenko ]
  * patches/changeset_87b628ec2a8912aec15a278c7b9563f6a13b569d.diff
    numpy 1.7 -- np.where indexes might be read-only, thus operate on a copy
  * patches/changeset_fc4b20124c3914ec21cfbfc19db1db0932975a57.diff
    use inheritance_diagram provided by sphinx on recent sphinx.
    Closes: #706534

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 24 Jun 2013 12:20:49 -0400

pymvpa (0.4.8-2) unstable; urgency=low

  [ Andreas Tille ]
  * debian/upstream:
     - Use UTF-8 string in "Author" field because BibTeX is also UTF-8
       aware but tasks pages rendering is not TeX-syntax enabled
     - add eprint

  [ Yaroslav Halchenko ]
  * debian/patches/changeset_7bf401c28a238e57769dd70b5c95587175bac8ce.diff
    - numpy 1.7.x compatibility in tests

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 07 Jun 2013 09:15:19 -0400

pymvpa (0.4.8-1) unstable; urgency=low

  * Upstream bugfix release:
    - Fixes compatibility with libsvm 3.10 and shogun >= 1.0
      (Closes: #655643) (Thanks Jakub Wilk for report and Colin Watson
      for the tentative patch)
  * Bump Standards-Version to 3.9.3 -- no changes are due
  * Removed not needed XS-DM-Upload-Allowed
  * Removed shogun-python-modular from Build-Depends due to its
    uninstallability
  * set -e for every loop to FTBFS upon errors (Closes: #655649)
    (Thanks Jakub again)
  * Added debian/upstream with a publication reference
  * Adjusted debian/copyright: DEP-5 compliance, removed bibtex reference
  * Added a call to dh_numpy (where present) to provide numpy-abi depends

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 23 Apr 2012 23:19:48 -0400
