=== debian/control ===
Source: pymvpa
Section: python
Priority: optional
Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Michael Hanke <michael.hanke@gmail.com>, Yaroslav Halchenko <debian@onerussian.com>
Build-Depends: cdbs, debhelper (>= 5.0.38), swig, python-all-dev (>= 2.5), python-support (>= 0.6), python-numpy, libsvm-dev (>= 2.84.0), python-epydoc (>> 2.99), python-docutils (<< 0.6) | python-docutils (>= 0.6-3~), python-sphinx, help2man, rsync, graphviz, python-lxml, python-nifti, python-nose
Build-Conflicts: python-epydoc (= 3.0.1-3)
Standards-Version: 3.9.3
Homepage: http://www.pymvpa.org
Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/pymvpa.git
Vcs-Git: git://git.debian.org/git/pkg-exppsy/pymvpa.git

Package: python-mvpa
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-numpy, python-mvpa-lib(>= ${source:Version})
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Recommends: python-nifti, python-psyco, python-mdp, python-scipy, shogun-python-modular, python-pywt, python-matplotlib, python-reportlab
Suggests: fslview, fsl, python-nose, python-lxml, python-openopt, python-rpy, python-mvpa-doc
Description: multivariate pattern analysis with Python
 PyMVPA eases pattern classification analyses of large datasets, with an
 accent on neuroimaging. It provides high-level abstraction of typical
 processing steps (e.g. data preparation, classification, feature selection,
 generalization testing), a number of implementations of some popular
 algorithms (e.g. kNN, GNB, Ridge Regressions, Sparse Multinomial Logistic
 Regression), and bindings to external machine learning libraries (libsvm,
 shogun).
 .
 While it is not limited to neuroimaging data (e.g. fMRI, or EEG) it
 is eminently suited for such datasets.


Package: python-mvpa-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, libjs-jquery
Suggests: python-mvpa
Description: documentation and examples for PyMVPA
 PyMVPA documentation in various formats (HTML, TXT) including
  * User manual
  * Developer guidelines
  * API documentation
  * BibTeX references file
 .
 Additionally, all example scripts shipped with the PyMVPA sources are
 included.


Package: python-mvpa-lib
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}, python-numpy
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: low-level implementations and bindings for PyMVPA
 This is an add-on package for the PyMVPA framework. It provides a low-level
 implementation of an SMLR classifier and custom Python bindings for the LIBSVM
 library.
