=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,7 @@
 # reason
 install/python-mvpa::
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	for buildver in $(cdbs_python_build_versions); do \
+	set -e; for buildver in $(cdbs_python_build_versions); do \
 		echo "I: Running PyMVPA unittests using python$$buildver"; \
         cd $(CURDIR) && cd $(DEB_SRCDIR)/build/lib.*-$$buildver && \
 		ln -s $(CURDIR)/mvpa/data mvpa/ && \
@@ -37,6 +37,7 @@
 		rm mvpa/data; \
     done
 endif
+	[ -x /usr/bin/dh_numpy ] && dh_numpy || :
 
 build/python-mvpa-doc:: doc
 
@@ -48,7 +49,7 @@
 
 install/python-mvpa-lib::
 	# move libraries into the python-mvpa-lib package
-	for lib in $$(find debian/python-mvpa/usr -name '*.so'); do \
+	set -e; for lib in $$(find debian/python-mvpa/usr -name '*.so'); do \
 	   sdir=$$(dirname $$lib) ; \
 	   tdir=debian/python-mvpa-lib/$${sdir#*python-mvpa/} ; \
 	   mkdir -p $$tdir ; \
@@ -77,4 +78,4 @@
 DEB_INSTALL_DOCS_python-mvpa-doc := build/html
 DEB_INSTALL_EXAMPLES_python-mvpa-doc := doc/examples/*
 endif
-
+DEB_INSTALL_DOCS += debian/upstream
